Description

Recently the possibility to send a HTTP PUT where the body was parsed into the params has been added to the plugin.

Unfortunately | bumped into an issue trying to do a file upload.

The plugin complains about wrong characters.
Is this something that can be solved?

History

#1 - 09/18/2013 10:29 PM - Patrick Talbot

- Status changed from New to In Progress

So in some cases you're passing parameters, in some other cases, the body of your request is File binaries, is that it?
| guess that in the second case, it could cause problem if Velocity is trying to decode these parameters...

Where does the plugin complains, BTW? Is that an error in the servoy log?
Or something you get when you try to access the request.parameters?

#2 - 09/19/2013 10:05 PM - Marc Boegem
- File velocity_media_PUT_error.html added
Yes, basically it's a PUT of a form containing a file-type field.

| don't see any complains in the log, but instead | get the error in the response.
But this response is being generated by the plugin, as the request don't even hits my code.

I've attached the response | get.
Hope this clarifies it a bit.

#3 - 09/20/2013 04:58 PM - Patrick Talbot

- Status changed from In Progress to Closed

Fixed in v3.2.4
